Delete fulfillment - Fabric
Delete fulfillment
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Error Responses
400
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
404
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the Making your first API request section.
Headers
- x-fabric-tenant-id: string (required)
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id, which is also called account id, from Copilot.
Path Parameters
- cartId: string (required)
The 24-character system-generated Cart ID.
- fulfillmentId: string (required)
The Fulfillment ID that was generated when a fulfillment was created.